0

I have a problem with my system - void linux.

At first I have found that one app wasnt working correctly. When I tried to edit the Flameshot configuration by right-clicking on its icon and clicking "Configuration" an error came out on the console:

terminate called after throwing an instance of 'std::runtime_error'
  what():  locale::facet::_S_create_c_locale name not valid

So I tried to run locale and maybe locale-gen, but the commands were not found.

After some googling I have found out that it can be a problem with glibc.

I have tried to install glibc, with no effort:

[choroszczanin@choroszcz ~]$ sudo xbps-install glibc
Password: 
CONFLICT: cross-vpkg-dummy-0.29_1 with installed pkg libgcc-8.2.0_8 (matched by libgcc>=0)
CONFLICT: cross-vpkg-dummy-0.29_1 with installed pkg libstdc++-8.2.0_8 (matched by libstdc++>=0)
CONFLICT: cross-vpkg-dummy-0.29_1 with installed pkg libgomp-8.2.0_8 (matched by libgomp>=0)
CONFLICT: cross-vpkg-dummy-0.29_1 with installed pkg musl-1.1.20_2 (matched by musl>=0)
CONFLICT: musl-1.1.20_2 with cross-vpkg-dummy-0.29_1 in transaction (matched by glibc>=0)
Transaction aborted due to conflicting packages.

This is the point when I don't know what to do at all.

From what I understand there are some dummy packages installed, and I should replace them with normal packages, but I do not know how to achieve it...

  • hey there, it appears that you are attempting to install glibc on a musl system. note that this is not possible and switching between glibc and musl on an existing installation is not supported. Have you tried setting the environment variables LANG, LC_ALL, and/or LANGUAGE to 'C'? – CameronNemo Dec 29 '18 at 4:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.